# lugins/osg/Switch.cpp File Reference

`#include "osg/Switch"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Switch.cpp:

## Functions

bool | Switch_readLocalData (Object &obj, Input &fr)
bool | Switch_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_SwitchProxy (new osg::Switch,"Switch","Object Node Switch Group",&Switch_readLocalData,&Switch_writeLocalData)

## Function Documentation

bool Switch_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Switch_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_SwitchProxy(new osg::Switch,"Switch","Object Node Switch Group",&Switch_readLocalData,&Switch_writeLocalData)